सामग्री पर जाएँ

TRELLIS.2 LoRA Inference

इंटीग्रेट करें

मॉडल id trellis-2-lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.25 250 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

Trellis 2 इमेज-टू-3D, जो संरचना, ज्योमेट्री और टेक्सचर के लिए कस्टम LoRA एडेप्टर लागू कर सकता है

Microsoft · 3D

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

3D मॉडल में रूपांतरण के लिए स्रोत इमेज का URL।

resolution डिफ़ॉल्ट 512

निर्माण रिज़ॉल्यूशन, जिसमें 1024 cascade pipeline चुनता है। दिए गए LoRA adapters को प्रशिक्षित करने के लिए उपयोग किया गया रिज़ॉल्यूशन चुनें; दोनों का मिलान आवश्यक है।

उन्नत texture_lora_url · texture_size · sparse_structure_lora_url · geometry_lora_url · ss_guidance_strength · ss_guidance_rescale · ss_guidance_interval_start · ss_guidance_interval_end · ss_sampling_steps · ss_rescale_t · shape_slat_guidance_strength · shape_slat_guidance_rescale · shape_slat_guidance_interval_start · shape_slat_guidance_interval_end · shape_slat_sampling_steps · shape_slat_rescale_t · tex_slat_guidance_strength · tex_slat_guidance_rescale · tex_slat_guidance_interval_start · tex_slat_guidance_interval_end · tex_slat_sampling_steps · tex_slat_rescale_t · decimation_target · seed · enable_safety_checker

safetensors फ़ॉर्मैट में वैकल्पिक LoRA चेकपॉइंट, जिसे विशेष रूप से texture denoiser के लिए प्रशिक्षित किया गया है।

texture_size डिफ़ॉल्ट 2048

GLB export में बेक की गई textures का रिज़ॉल्यूशन।

safetensors फ़ॉर्मैट में वैकल्पिक LoRA चेकपॉइंट, जिसे विशेष रूप से sparse structure denoiser के लिए प्रशिक्षित किया गया है।

safetensors फ़ॉर्मैट में वैकल्पिक LoRA चेकपॉइंट, जिसे विशेष रूप से geometry denoiser के लिए प्रशिक्षित किया गया है।

डिफ़ॉल्ट 7.5

sparse structure निर्माण के दौरान classifier-free guidance की तीव्रता।

डिफ़ॉल्ट 0.7

sparse structure निर्माण के दौरान guidance rescaling। बड़े मान आउटपुट को अधिक स्थिर बनाते हैं।

डिफ़ॉल्ट 0.6

denoising प्रगति का वह अंश जहाँ sparse structure guidance शुरू होती है।

डिफ़ॉल्ट 1

sparse structure guidance कब रुकती है, यह निर्दिष्ट करने के लिए `ss_guidance_interval_start` के बराबर या उससे अधिक denoising अंश का उपयोग करें।

डिफ़ॉल्ट 12

sparse structure निर्माण के दौरान उपयोग की जाने वाली denoising स्टेप की संख्या।

डिफ़ॉल्ट 5

sparse structure निर्माण के दौरान noise schedule की तीक्ष्णता।

डिफ़ॉल्ट 7.5

shape निर्माण के दौरान classifier-free guidance की तीव्रता।

डिफ़ॉल्ट 0.5

shape निर्माण के दौरान guidance पर लागू rescaling; geometry में शोर दिखाई देने पर इसे बढ़ाएँ।

डिफ़ॉल्ट 0.6

denoising का वह अंश जहाँ shape-stage guidance शुरू होती है।

डिफ़ॉल्ट 1

shape-stage guidance का रुकने का बिंदु, denoising अंश के रूप में व्यक्त; यह shape_slat_guidance_interval_start से कम नहीं होना चाहिए।

डिफ़ॉल्ट 12

shape निर्माण के दौरान denoising स्टेप की संख्या।

डिफ़ॉल्ट 3

shape निर्माण के दौरान noise schedule की तीक्ष्णता।

डिफ़ॉल्ट 1

texture निर्माण के दौरान classifier-free guidance की तीव्रता।

डिफ़ॉल्ट 0

texture निर्माण के दौरान guidance पर लागू rescaling; texture में शोर दिखाई देने पर इसे बढ़ाएँ।

डिफ़ॉल्ट 0.6

denoising का वह अंश जहाँ texture-stage guidance शुरू होती है।

डिफ़ॉल्ट 0.9

texture-stage guidance का रुकने का बिंदु, denoising अंश के रूप में व्यक्त; यह tex_slat_guidance_interval_start से कम नहीं होना चाहिए।

डिफ़ॉल्ट 12

texture निर्माण के दौरान denoising स्टेप की संख्या।

डिफ़ॉल्ट 3

texture निर्माण के दौरान noise schedule की तीक्ष्णता।

डिफ़ॉल्ट 500000

GLB export में वांछित वर्टेक्स की संख्या।

निर्माण को पुनरुत्पादित करने योग्य बनाने वाला रैंडम seed।

POST /run/trellis-2-lora?wait=20 कोटेशन → $0.25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/trellis-2-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

TRELLIS.2 LoRA Inference के बारे में

`image_url` से GLB जनरेट करता है और वैकल्पिक रूप से `sparse_structure_lora_url`, `geometry_lora_url` तथा `texture_lora_url` के माध्यम से safetensors LoRA लागू करता है। `resolution` 512 या 1024 है और इसे एडेप्टर के ट्रेनिंग रिज़ॉल्यूशन से मेल खाना चाहिए। प्रति-चरण गाइडेंस और स्टेप नियंत्रण, `decimation_target` तथा `texture_size` भी उपलब्ध हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
3D मॉडल में रूपांतरण के लिए स्रोत इमेज का URL।
sparse_structure_lora_urlवैकल्पिक
प्रकारstring | null
safetensors फ़ॉर्मैट में वैकल्पिक LoRA चेकपॉइंट, जिसे विशेष रूप से sparse structure denoiser के लिए प्रशिक्षित किया गया है।
geometry_lora_urlवैकल्पिक
प्रकारstring | null
safetensors फ़ॉर्मैट में वैकल्पिक LoRA चेकपॉइंट, जिसे विशेष रूप से geometry denoiser के लिए प्रशिक्षित किया गया है।
texture_lora_urlवैकल्पिक
प्रकारstring | null
safetensors फ़ॉर्मैट में वैकल्पिक LoRA चेकपॉइंट, जिसे विशेष रूप से texture denoiser के लिए प्रशिक्षित किया गया है।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पादित करने योग्य बनाने वाला रैंडम seed।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट512
5121024
निर्माण रिज़ॉल्यूशन, जिसमें 1024 cascade pipeline चुनता है। दिए गए LoRA adapters को प्रशिक्षित करने के लिए उपयोग किया गया रिज़ॉल्यूशन चुनें; दोनों का मिलान आवश्यक है।
ss_guidance_strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट7.5
0 – 10
sparse structure निर्माण के दौरान classifier-free guidance की तीव्रता।
ss_guidance_rescaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.7
0 – 1
sparse structure निर्माण के दौरान guidance rescaling। बड़े मान आउटपुट को अधिक स्थिर बनाते हैं।
ss_guidance_interval_startवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.6
0 – 1
denoising प्रगति का वह अंश जहाँ sparse structure guidance शुरू होती है।
ss_guidance_interval_endवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 1
sparse structure guidance कब रुकती है, यह निर्दिष्ट करने के लिए `ss_guidance_interval_start` के बराबर या उससे अधिक denoising अंश का उपयोग करें।
ss_sampling_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
1 – 50
sparse structure निर्माण के दौरान उपयोग की जाने वाली denoising स्टेप की संख्या।
ss_rescale_tवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5
1 – 6
sparse structure निर्माण के दौरान noise schedule की तीक्ष्णता।
shape_slat_guidance_strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट7.5
0 – 10
shape निर्माण के दौरान classifier-free guidance की तीव्रता।
shape_slat_guidance_rescaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.5
0 – 1
shape निर्माण के दौरान guidance पर लागू rescaling; geometry में शोर दिखाई देने पर इसे बढ़ाएँ।
shape_slat_guidance_interval_startवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.6
0 – 1
denoising का वह अंश जहाँ shape-stage guidance शुरू होती है।
shape_slat_guidance_interval_endवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 1
shape-stage guidance का रुकने का बिंदु, denoising अंश के रूप में व्यक्त; यह shape_slat_guidance_interval_start से कम नहीं होना चाहिए।
shape_slat_sampling_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
1 – 50
shape निर्माण के दौरान denoising स्टेप की संख्या।
shape_slat_rescale_tवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3
1 – 6
shape निर्माण के दौरान noise schedule की तीक्ष्णता।
tex_slat_guidance_strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 10
texture निर्माण के दौरान classifier-free guidance की तीव्रता।
tex_slat_guidance_rescaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0
0 – 1
texture निर्माण के दौरान guidance पर लागू rescaling; texture में शोर दिखाई देने पर इसे बढ़ाएँ।
tex_slat_guidance_interval_startवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.6
0 – 1
denoising का वह अंश जहाँ texture-stage guidance शुरू होती है।
tex_slat_guidance_interval_endवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.9
0 – 1
texture-stage guidance का रुकने का बिंदु, denoising अंश के रूप में व्यक्त; यह tex_slat_guidance_interval_start से कम नहीं होना चाहिए।
tex_slat_sampling_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
1 – 50
texture निर्माण के दौरान denoising स्टेप की संख्या।
tex_slat_rescale_tवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3
1 – 6
texture निर्माण के दौरान noise schedule की तीक्ष्णता।
decimation_targetवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट500000
5,000 – 20,00,000
GLB export में वांछित वर्टेक्स की संख्या।
texture_sizeवैकल्पिक
प्रकारenum
डिफ़ॉल्ट2048
102420484096
GLB export में बेक की गई textures का रिज़ॉल्यूशन।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "trellis-2-lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 250,
    "usd": "0.25",
    "charged": 250,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "seed": 42,
    "resolution": 1,
    "sparse_structure_lora_url": "string",
    "geometry_lora_url": "string",
    "texture_lora_url": "string",
    "decimation_target": 1,
    "texture_size": 1
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
model_glb
object {url, content_type, file_name, file_size}निर्मित 3D मॉडल वाली GLB फ़ाइल।
seed
integerनिर्माण के दौरान लागू किया गया seed।
resolution
integerवह रिज़ॉल्यूशन जिस पर निर्माण किया गया।
sparse_structure_lora_url
string | nullनिर्माण के दौरान उपयोग किया गया sparse structure LoRA चेकपॉइंट, यदि कोई लागू किया गया हो।
geometry_lora_url
string | nullनिर्माण के दौरान उपयोग किया गया geometry LoRA चेकपॉइंट, यदि कोई लागू किया गया हो।
texture_lora_url
string | nullनिर्माण के दौरान उपयोग किया गया texture LoRA चेकपॉइंट, यदि कोई लागू किया गया हो।
decimation_target
integerGLB export पर लागू किया गया वर्टेक्स-गणना लक्ष्य।
texture_size
integerGLB export में बेक की गई textures का रिज़ॉल्यूशन।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/trellis-2-lora.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt